package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 发泡箱体追溯报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class BoxTraceabilityReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * SAP订单编号
     */
    @Excel(name = "SAP订单编号")
    @JsonProperty("ORDER_CODE")
    private String ORDER_CODE;

    /**
     * 销售订单编号
     */
    @Excel(name = "销售订单编号")
    @JsonProperty("SALEORDER_CODE")
    private String SALEORDER_CODE;

    /**
     * 销售订单行号
     */
    @Excel(name = "销售订单行号")
    @JsonProperty("SALEORDER_LINENUMBER")
    private String SALEORDER_LINENUMBER;

    /**
     * 物料编号
     */
    @Excel(name = "物料编号")
    @JsonProperty("MATERIAL_CODE")
    private String MATERIAL_CODE;

    /**
     * 产品型号
     */
    @Excel(name = "产品型号")
    @JsonProperty("MATERIAL_MODEL")
    private String MATERIAL_MODEL;

    /**
     * 订单数
     */
    @Excel(name = "订单数")
    @JsonProperty("ORDER_AMOUNT")
    private Long ORDER_AMOUNT;

    /**
     * 泡前入库数
     */
    @Excel(name = "泡前入库数")
    @JsonProperty("BEFORE_NUMBER")
    private Long BEFORE_NUMBER;

    /**
     * 扫描下线数
     */
    @Excel(name = "扫描下线数")
    @JsonProperty("SCAN_NUMBER")
    private Long SCAN_NUMBER;

    /**
     * 差异数
     */
    @Excel(name = "差异数")
    @JsonProperty("DIFF_NUMBER")
    private Long DIFF_NUMBER;

    /**
     * 报废数
     */
    @Excel(name = "报废数")
    @JsonProperty("SCRAP_NUMBER")
    private Long SCRAP_NUMBER;

    /**
     * MES箱体码
     */
    @Excel(name = "MES箱体码")
    @JsonProperty("BOX_CODE")
    private String BOX_CODE;


    /**
     * 最后扫描点
     */
    @Excel(name = "最后扫描点")
    @JsonProperty("SCAN_SPOT")
    private String SCAN_SPOT;

    /**
     * 是否报废
     */
    @Excel(name = "是否报废")
    @JsonProperty("SCRAP_FLAG")
    private String SCRAP_FLAG;

    private String productLineCode;

    public String getProductLineCode() {
        return productLineCode;
    }

    public void setProductLineCode(String productLineCode) {
        this.productLineCode = productLineCode;
    }

    public String getORDER_CODE() {
        return ORDER_CODE;
    }

    public void setORDER_CODE(String ORDER_CODE) {
        this.ORDER_CODE = ORDER_CODE;
    }

    public String getSALEORDER_CODE() {
        return SALEORDER_CODE;
    }

    public void setSALEORDER_CODE(String SALEORDER_CODE) {
        this.SALEORDER_CODE = SALEORDER_CODE;
    }

    public String getSALEORDER_LINENUMBER() {
        return SALEORDER_LINENUMBER;
    }

    public void setSALEORDER_LINENUMBER(String SALEORDER_LINENUMBER) {
        this.SALEORDER_LINENUMBER = SALEORDER_LINENUMBER;
    }

    public String getMATERIAL_CODE() {
        return MATERIAL_CODE;
    }

    public void setMATERIAL_CODE(String MATERIAL_CODE) {
        this.MATERIAL_CODE = MATERIAL_CODE;
    }

    public String getMATERIAL_MODEL() {
        return MATERIAL_MODEL;
    }

    public void setMATERIAL_MODEL(String MATERIAL_MODEL) {
        this.MATERIAL_MODEL = MATERIAL_MODEL;
    }

    public Long getORDER_AMOUNT() {
        return ORDER_AMOUNT;
    }

    public void setORDER_AMOUNT(Long ORDER_AMOUNT) {
        this.ORDER_AMOUNT = ORDER_AMOUNT;
    }

    public Long getBEFORE_NUMBER() {
        return BEFORE_NUMBER;
    }

    public void setBEFORE_NUMBER(Long BEFORE_NUMBER) {
        this.BEFORE_NUMBER = BEFORE_NUMBER;
    }

    public Long getSCAN_NUMBER() {
        return SCAN_NUMBER;
    }

    public void setSCAN_NUMBER(Long SCAN_NUMBER) {
        this.SCAN_NUMBER = SCAN_NUMBER;
    }

    public Long getDIFF_NUMBER() {
        return DIFF_NUMBER;
    }

    public void setDIFF_NUMBER(Long DIFF_NUMBER) {
        this.DIFF_NUMBER = DIFF_NUMBER;
    }

    public Long getSCRAP_NUMBER() {
        return SCRAP_NUMBER;
    }

    public void setSCRAP_NUMBER(Long SCRAP_NUMBER) {
        this.SCRAP_NUMBER = SCRAP_NUMBER;
    }

    public String getBOX_CODE() {
        return BOX_CODE;
    }

    public void setBOX_CODE(String BOX_CODE) {
        this.BOX_CODE = BOX_CODE;
    }

    public String getSCAN_SPOT() {
        return SCAN_SPOT;
    }

    public void setSCAN_SPOT(String SCAN_SPOT) {
        this.SCAN_SPOT = SCAN_SPOT;
    }

    public String getSCRAP_FLAG() {
        return SCRAP_FLAG;
    }

    public void setSCRAP_FLAG(String SCRAP_FLAG) {
        this.SCRAP_FLAG = SCRAP_FLAG;
    }

    @Override
    public String toString() {
        return "BoxTraceabilityReport{" +
                "ORDER_CODE='" + ORDER_CODE + '\'' +
                ", SALEORDER_CODE='" + SALEORDER_CODE + '\'' +
                ", SALEORDER_LINENUMBER='" + SALEORDER_LINENUMBER + '\'' +
                ", MATERIAL_CODE='" + MATERIAL_CODE + '\'' +
                ", MATERIAL_MODEL='" + MATERIAL_MODEL + '\'' +
                ", ORDER_AMOUNT=" + ORDER_AMOUNT +
                ", BEFORE_NUMBER=" + BEFORE_NUMBER +
                ", SCAN_NUMBER=" + SCAN_NUMBER +
                ", DIFF_NUMBER=" + DIFF_NUMBER +
                ", SCRAP_NUMBER=" + SCRAP_NUMBER +
                ", BOX_CODE='" + BOX_CODE + '\'' +
                ", SCAN_SPOT='" + SCAN_SPOT + '\'' +
                ", SCRAP_FLAG='" + SCRAP_FLAG + '\'' +
                '}';
    }
}
